﻿@model FormCreateEditViewModel

@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click='JbForm.goBack()'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Manage Input Form
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div ng-if="!JbForm.ConfirmMode" class="JbForm">
        <div ng-hide="MC.stateParams.templateId == '0'">
            <div class="one-half place-left">
                <div class="two-third place-left">
                    <label class="margin-top10" ng-init="templateName = 'Default form'" ng-click="editingTemplateName = true" ng-if="!editingTemplateName">
                        Form name: <span ng-show="JbForm.EditMode" ng-bind="JbForm.GetTemplateName(@Html.Ang(model => model.FormTemplate))"></span>
                    </label>
                    <div class="two-third place-left" ng-if="editingTemplateName">
                        <div class="input-control text margin-top5" data-role="input-control">
                            <input type="text" ng-model="templateName" />
                        </div>
                    </div>
                    <div class="one-third place-left" ng-if="editingTemplateName">
                        <button ng-click="editingTemplateName = false" style="line-height: 24px;margin-top: 5px;">
                            Save
                        </button>
                    </div>
                </div>
                <div class="one-third place-right" ng-hide="JbForm.EditMode">
                    <div class="input-control select margin-top5" data-role="input-control">
                        <div class="input-control select margin-top5" data-role="input-control">
                            <select  ng-change="JbForm.ChangeTemplate(@Html.Ang(model => model.FormTemplate))" ng-model="@Html.Ang(model => model.FormTemplate)" ng-options="obj.Value as obj.Text for obj in Model.FormTemplates"></select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="one-half place-left">
                <button class="command-button primary place-right" ng-hide="JbForm.EditMode" ng-click="JbForm.EnableEditing()">
                    <i class="icon-pencil on-left"></i>
                    Edit the loaded form
                    <small>Use this option to customize the form</small>
                </button>
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>
        <div class="review-mode" ng-if="!JbForm.EditMode" ng-include="'/Dashboard/_FormElementReviewMode'"></div>
        <ul ng-if="JbForm.EditMode" ui-sortable="SortableOptions.Section" ng-model="Model.JbForm.Elements">
            <li id="{{section.ElementId}}" name="{{section.Name}}" class="accordion animation {{section.Type}} {{section.CurrentMode}} size-{{section.Size}}"
                data-role="accordion" data-closeany="true" ng-repeat="section in Model.JbForm.Elements" ng-init="initial();sectionIndex = $index"
                ng-animate="{enter: 'animate-enter', leave: 'animate-leave'}">
                <div class="accordion-frame">
                    <a class="heading" ng-hide="JbElement.Operate.IsSectionTitleEditing(section)">{{section.Title}}</a>
                    <a class="heading edit-mode" ng-show="JbElement.Operate.IsSectionTitleEditing(section)">
                        <input id="sectionTitle{{section.Name}}" type="text" ng-model="section.Title" ng-blur="JbElement.Operate.SaveEditSectionTitle(section)" ng-change="JbElement.Operate.Title(section)" />
                        <span class="button small success" ng-click="JbElement.Operate.SaveEditSectionTitle(section)">Save</span>
                        <span class="button small link" ng-click="JbElement.Operate.CancelEditSectionTitle(section)">Cancel</span>
                    </a>
                    <div class="toolbar transparent fg-blue no-margin JbSection-action-bar place-right" ng-if="section.CurrentMode == 'ReadOnly' && JbForm.EditMode">
                        <button title="Hide section" ng-click="JbElement.Operate.ToggleHiddenReadOnlyModes(section)" ng-if="JbElement.Operate.CanShowHide(section)"><i class="jbi-hide"></i></button>
                        <button title="Add question to this section" ng-if="JbElement.Operate.Add.Element.CanAddNew()" ng-click="JbElement.Operate.Add.Element.ShowTypes(section);OpenSection(section.ElementId);"><i class="icon-plus-2"></i></button>
                    </div>
                    <div class="toolbar transparent fg-blue no-margin JbSection-action-bar place-right" ng-if="section.CurrentMode == 'Hidden' && JbForm.EditMode">
                        <button title="Show section" ng-click="JbElement.Operate.ToggleHiddenReadOnlyModes(section)" ng-if="JbElement.Operate.CanShowHide(section)"><i class="jbi-show"></i></button>
                    </div>
                    <div class="toolbar transparent fg-blue no-margin JbSection-action-bar place-right" ng-if="section.CurrentMode == 'Design' && JbForm.EditMode">
                        <button title="Edit section title" ng-click="JbElement.Operate.EditSectionTitle(section)"><i class="icon-pencil"></i></button>
                        <button title="Remove section" ng-click="JbElement.Operate.Delete.Section($index)"><i class="icon-cancel-2"></i></button>
                        <button title="Add question to this section" ng-if="JbElement.Operate.Add.Element.CanAddNew()" ng-click="JbElement.Operate.Add.Element.ShowTypes(section);OpenSection(section.ElementId)"><i class="icon-plus-2"></i></button>
                    </div>
                    <div class="content" ng-class="{'block':!JbForm.EditMode}">
                        <ul ui-sortable="SortableOptions.Element" ng-model="section.Elements">
                            <li id="{{element.ElementId}}"  name="{{element.Name}}" data-parent-section="{{section.ElementId}}"
                                ng-class="['JbElement','animation',element.Type,element.CurrentMode,'size-'+element.Size,{ 'active' : JbElement.Operate.Edit.IsActiveElement(element),'padding-left70':element.IsConditional}]"
                               ng-repeat="element in section.Elements" ng-animate="{enter: 'animate-enter', leave: 'animate-leave'}"
                               ng-init="elementIndex = $index" >
                                <div ng-if="element.IsConditional" class="container-arrow-conditional" title="Conditional">
                                    <i class="jbi-sub-arrow conditional-icon" ></i>
                                    <span class="conditional-text">Conditional</span>
                                </div>                            
                                <div class="preview-mode" ng-if="!JbElement.Operate.Edit.IsActiveElement(element)" ng-include="'/Dashboard/_FormElementPreviewMode'"></div>
                                <div class="edit-mode" ng-if="JbElement.Operate.Edit.IsActiveElement(element)" ng-include="'/Dashboard/_FormElementEditMode'" onload="OpenSection(section.ElementId)"></div>
                            </li>
                        </ul>
                        <div class="text-center padding20" ng-if="JbElement.Operate.HasNoElement(section)">
                            <h5>There's no question in this section! <button ng-click="JbElement.Operate.Add.Element.ShowTypes(section)">Add one<i class="icon-plus-2 on-right-more"></i></button></h5>
                        </div>
                    </div>
                </div>
            </li>
        </ul>
        <button class="primary place-right" ng-if="JbForm.EditMode" ng-click="JbElement.Operate.Add.Section()">Add new section</button>
        <div class="clearfix"></div>
    </div>

    <div ng-if="JbForm.ConfirmMode">

        <div ng-if="MC.stateParams.templateId != 0 && !isDefaultFormSelected()">
            <p>
                You have two choices to save the changes you made to this form. You can create a new registration template by saving the changes under a different name or you can save the changes to this form without creating a new template.<br />
                <i>Note:</i> if you save the changes to this form (without creating a new template), all programs that use this form will inherit the latest changes.
            </p>
            <div class="input-control radio default-style" >
                <label>
                    <input type="radio" name="SaveMode" value="false" ng-model="JbForm.SaveAsMode" ng-init="JbForm.SaveAsMode = 'false'" />
                    <span class="check"></span>
                    Save the changes to this form and update all programs that use this form
                </label>
            </div>

            <div class="clearfix"></div>
            <div class="input-control radio default-style">
                <label>
                    <input type="radio" name="SaveMode" value="true" ng-model="JbForm.SaveAsMode" />
                    <span class="check" ></span>
                    Create a new template and save the changes to a different form
                </label>
            </div>
            <div ng-if="JbForm.SaveAsMode">
                <label for="Model.NewTemplateName" class="req-star ">Form name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClass("NewTemplateName")>
                    <input type="text" id="Model.NewTemplateName" ng-model="Model.NewTemplateName" required="" @Html.AngTooltipValidation("NewTemplateName") />
                </div>
            </div>

        </div>

        <div ng-if="MC.stateParams.templateId != 0 && isDefaultFormSelected()">
            <p>

            </p>

            <div class="clearfix"></div>
            <div class="input-control default-style">
                <label>
                    Create a new template and save the changes to a different form
                </label>
            </div>
            <div>
                <label for="Model.NewTemplateName" class="req-star ">Form name</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClass("NewTemplateName")>
                    <input type="text" id="Model.NewTemplateName" ng-model="Model.NewTemplateName" required="" @Html.AngTooltipValidation("NewTemplateName") />
                </div>
            </div>
        </div>

        <div ng-if="MC.stateParams.templateId == 0">
            <label for="Model.NewTemplateName" class="req-star ">Form name</label>
            <div class="input-control text" role="input-control" @Html.AngValidationClass("NewTemplateName")>
                <input type="text" id="Model.NewTemplateName" ng-model="Model.NewTemplateName" required="" @Html.AngTooltipValidation("NewTemplateName") />
            </div>
        </div>
    </div>
    <hr />
    <a class="place-left button link large" ng-click='JbForm.goBack()'>Back</a>
    <a ng-show="JbForm.EditMode" class="success place-right button large" ng-click='JbForm.Save()'>Save & continue</a>
    <div class="clearfix"></div>
</div>

